Index: branches/petra/src/wetdepokernel_nest.f90
===================================================================
--- branches/petra/src/wetdepokernel_nest.f90	(revision 33)
+++ branches/petra/src/wetdepokernel_nest.f90	(revision 37)
@@ -1,4 +1,4 @@
 !**********************************************************************
-! Copyright 1998,1999,2000,2001,2002,2005,2007,2008,2009,2010         *
+! Copyright 1998-2015                                                 *
 ! Andreas Stohl, Petra Seibert, A. Frank, Gerhard Wotawa,             *
 ! Caroline Forster, Sabine Eckhardt, John Burkhart, Harald Sodemann   *
@@ -20,7 +20,6 @@
 !**********************************************************************
 
-subroutine wetdepokernel_nest &
-       (nunc,deposit,x,y,nage,kp)
-  !        i      i    i i  i    i
+subroutine wetdepokernel_nest (nunc,deposit,x,y,itage,nage,kp)
+  !                             i      i    i i   i    i   i
   !*****************************************************************************
   !                                                                            *
@@ -35,4 +34,7 @@
   !      2 September 2004: Adaptation from wetdepokernel.                      *
   !                                                                            *
+  !
+  !  PS, 2/2015: do not use kernel for itage < 3 h
+  !   same as for concentration in conccalc.f90
   !                                                                            *
   !*****************************************************************************
@@ -53,5 +55,5 @@
 
   real :: x,y,deposit(maxspec),ddx,ddy,xl,yl,wx,wy,w
-  integer :: ix,jy,ixp,jyp,ks,kp,nunc,nage
+  integer :: ix,jy,ixp,jyp,ks,kp,nunc,nage,itage
 
 
@@ -80,38 +82,49 @@
   endif
 
+  if (itage .lt. itagekernmin) then  
+   ! no kernel, direct attribution to grid cell
+    
+    do ks=1,nspec
+      if (ix.ge.0 .and. jy.ge.0 .and. &
+          ix.le.numxgridn-1 .and. jy.le.numygridn-1) &
+        wetgriduncn(ix,jy,ks,kp,nunc,nage)= &
+          wetgriduncn(ix,jy,ks,kp,nunc,nage)+deposit(ks)
+    enddo
+        
+  else
+    ! Determine mass fractions for four grid points & distribute
 
-  ! Determine mass fractions for four grid points
-  !**********************************************
+    do ks=1,nspec
 
-  do ks=1,nspec
+      if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgridn-1).and. &
+           (jy.le.numygridn-1)) then
+        w=wx*wy
+        wetgriduncn(ix,jy,ks,kp,nunc,nage)= &
+          wetgriduncn(ix,jy,ks,kp,nunc,nage)+deposit(ks)*w
+      endif
 
-  if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgridn-1).and. &
-       (jy.le.numygridn-1)) then
-    w=wx*wy
-      wetgriduncn(ix,jy,ks,kp,nunc,nage)= &
-           wetgriduncn(ix,jy,ks,kp,nunc,nage)+deposit(ks)*w
+      if ((ixp.ge.0).and.(jyp.ge.0).and.(ixp.le.numxgridn-1).and. &
+           (jyp.le.numygridn-1)) then
+        w=(1.-wx)*(1.-wy)
+        wetgriduncn(ixp,jyp,ks,kp,nunc,nage)= &
+          wetgriduncn(ixp,jyp,ks,kp,nunc,nage)+deposit(ks)*w
+      endif
+
+      if ((ixp.ge.0).and.(jy.ge.0).and.(ixp.le.numxgridn-1).and. &
+           (jy.le.numygridn-1)) then
+        w=(1.-wx)*wy
+        wetgriduncn(ixp,jy,ks,kp,nunc,nage)= &
+          wetgriduncn(ixp,jy,ks,kp,nunc,nage)+deposit(ks)*w
+      endif
+
+      if ((ix.ge.0).and.(jyp.ge.0).and.(ix.le.numxgridn-1).and. &
+           (jyp.le.numygridn-1)) then
+        w=wx*(1.-wy)
+        wetgriduncn(ix,jyp,ks,kp,nunc,nage)= &
+          wetgriduncn(ix,jyp,ks,kp,nunc,nage)+deposit(ks)*w
+      endif
+
+    end do
+
   endif
-
-  if ((ixp.ge.0).and.(jyp.ge.0).and.(ixp.le.numxgridn-1).and. &
-       (jyp.le.numygridn-1)) then
-    w=(1.-wx)*(1.-wy)
-      wetgriduncn(ixp,jyp,ks,kp,nunc,nage)= &
-           wetgriduncn(ixp,jyp,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
-
-  if ((ixp.ge.0).and.(jy.ge.0).and.(ixp.le.numxgridn-1).and. &
-       (jy.le.numygridn-1)) then
-    w=(1.-wx)*wy
-      wetgriduncn(ixp,jy,ks,kp,nunc,nage)= &
-           wetgriduncn(ixp,jy,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
-
-  if ((ix.ge.0).and.(jyp.ge.0).and.(ix.le.numxgridn-1).and. &
-       (jyp.le.numygridn-1)) then
-    w=wx*(1.-wy)
-      wetgriduncn(ix,jyp,ks,kp,nunc,nage)= &
-           wetgriduncn(ix,jyp,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
-
-  end do
 end subroutine wetdepokernel_nest
